# Create a Mass Payout

Request to create a new mass payout (multiple transfer).

<mark style="color:green;">POST</mark> [<mark style="color:$primary;">https://app.goodpayments.io/v1/api/payment/multiple\_transfer/create</mark>](https://app.goodpayments.io/v1/api/payment/multiple_transfer/create)

### Headers&#x20;

| Name            | Type   | Description             | Example                                                          |
| --------------- | ------ | ----------------------- | ---------------------------------------------------------------- |
| Authorization\* | string | Unique Merchant API Key | 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662 |

### Request Body

| Name              | Type   | Description                                                                                                  | Example |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------ | ------- |
| target\_wallets\* | object | An object containing a list of addresses and the amount to be sent to each address                           |         |
| currency\*        | string | <p>List of accepted tokens. Possible values:</p><ul><li><code>TRX</code></li><li><code>USDT</code></li></ul> | USDT    |

### **Request** **Example**

```yaml
curl -X 'POST' \
  'https://app.goodpayments.io/v1/api/payment/multiple_transfer/create' \
  -H 'accept: application/json' \
  -H 'Authorization: 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662' \
  -H 'Content-Type: application/json' \
  -d '{
  "target_wallets": [
    {
      "address": "TLpMouAbUvAXTspcXviipKMvijGUczUuGw",
      "amount": 10
    },
    {
      "address": "TXWGCCTgKMYWXpSSfLzutMMfKgeaCgbfbe",
      "amount": 35.5
    }
  ],
  "currency": "USDT"
}'
```

### Response Parameters

| Name                | Type    | Description                                                                                                                                                                                                                                                                                     | Example                                         |
| ------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| id                  | integer | Unique invoice ID (mass payout)                                                                                                                                                                                                                                                                 | 123477361                                       |
| status              | string  | <p>Invoice status. Possible values:</p><ul><li><code>ACTIVE</code></li><li><code>COMPLETED</code></li><li><code>CANCELED</code></li><li><code>TIMEOUT</code></li><li><code>ERROR</code></li><li><code>AML\_FAILED</code></li><li><code>OVERPAID</code></li><li><code>UNDERPAID</code></li></ul> | COMPLETED                                       |
| type                | string  | Invoice type. `MULTIPLE_TRANSFER` - payout address                                                                                                                                                                                                                                              | SINGLE                                          |
| paymentURL          | string  | Payment page URL                                                                                                                                                                                                                                                                                | <https://app.goodpayments.io/payment/123477361> |
| amount              | number  | Amount to be sent as specified in the invoice (in USD)                                                                                                                                                                                                                                          | 1                                               |
| currency            | string  | <p>List of accepted tokens. Possible values:</p><ul><li><code>TRX</code></li><li><code>USDT</code></li></ul>                                                                                                                                                                                    | USDT                                            |
| currencies\_amounts | string  | Top-up amount in the accepted currency                                                                                                                                                                                                                                                          | "TRX": 3.6329                                   |
| transfer\_amounts   | string  | Actually sent amount for the payout                                                                                                                                                                                                                                                             | "TRX": 3.6329                                   |
| cost                | number  | Total service fee for processing the mass payout                                                                                                                                                                                                                                                | 6.5                                             |
| order\_id           | string  | Order identifier in the merchant's system (null for mass payouts)                                                                                                                                                                                                                               | null                                            |
| address             | string  | Generated temporary address for top-up                                                                                                                                                                                                                                                          | TBi3zPSQ8JszpkkgwZL4kZWDjXEZsi9Fze              |
| client\_comission   | boolean | Flag that determines who pays the forwarding fee. Only for `SINGLE` invoice type (always false for `MULTIPLE_TRANSFER`)                                                                                                                                                                         | false                                           |
| webhook\_url        | string  | The URL to which goodPayments will send a webhook after the customer completes the payment (null for mass payouts)                                                                                                                                                                              | null                                            |
| redirect\_url       | string  | The URL where the customer will be redirected after completing the payment (null for mass payouts)                                                                                                                                                                                              | null                                            |
| description         | string  | Order description: may contain any provided information related to the order (null for mass payouts)                                                                                                                                                                                            | null                                            |
| merchant\_contact   | string  | Merchant contact details                                                                                                                                                                                                                                                                        | @username                                       |
| target\_wallets     | object  | An object containing a list of addresses and the amount to be sent to each address                                                                                                                                                                                                              |                                                 |
| expired\_at         | string  | Invoice expiration timestamp                                                                                                                                                                                                                                                                    | 2025-11-23T14:28:57.786076+00:00                |
| created\_at         | string  | Invoice creation timestamp                                                                                                                                                                                                                                                                      | 2025-11-23T13:58:57.789617+00:00                |

### Response Example

{% tabs %}
{% tab title="200 Success" %}

```json
{
  "id": 520946038,
  "status": "ACTIVE",
  "type": "MULTIPLE_TRANSFER",
  "paymentURL": "https://app.goodpayments.io/payment/520946038",
  "amount": 45.5,
  "currencies": [
    "USDT"
  ],
  "currencies_amounts": {
    "USDT": 45.5
  },
  "transfer_amounts": {
    "input": {
      "TRX": 0,
      "USDT": 0
    },
    "output": {
      "TRX": 0,
      "USDT": 0
    }
  },
  "cost": 19.5,
  "order_id": null,
  "address": "TYrUmKqLDYzWR8RQRZEJx5Jph8tMhpi19K",
  "client_commission": false,
  "webhook_url": null,
  "redirect_url": null,
  "description": null,
  "merchant_contact": "@username",
  "target_wallets": [
    {
      "address": "TLpMouAbUvAXTspcXviipKMvijGUczUuGw",
      "amount": 10
    },
    {
      "address": "TXWGCCTgKMYWXpSSfLzutMMfKgeaCgbfbe",
      "amount": 35.5
    }
  ],
  "expired_at": "2026-04-17T16:10:04.917926+03:00",
  "created_at": "2026-04-17T13:10:04.921634+03:00"
}
```

{% endtab %}

{% tab title="403 Authentication credentials were not provided" %}

```json
{
  "detail": "Authentication credentials were not provided."
}
```

{% endtab %}

{% tab title="JSON parse error" %}

```json
{
  "detail":"JSON parse error - Expecting value: line 2 column 13 (char 14)"
}
```

{% endtab %}
{% endtabs %}

### **Possible Errors**

If the request does not contain a valid API key in the header or IP address is not in Whitelist, the server will return a **403** response.

If the request body contains invalid data, the server will return an error response indicating which field caused the error.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://goodpayments.gitbook.io/docs/api-reference/api-methods-overview-request-response-structure/create-a-mass-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
